Bug 100788 - Text console in rescue mode is foobared
Text console in rescue mode is foobared
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-07-25 09:44 EDT by David Tonhofer
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2003-07-25 09:44:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20030208 Netscape/7.02

Description of problem:
Sorry I do not really know what component is responsible for
drawing console text in rescue mode (must be termcap and some drivers,
does this belong to the kernel?). 


When running in rescue mode, the console command line is err..
unusable. We have TERM=Linux

The prompt is displayed:

sh-2.05b# _

You type ls -l, there is no echo:

sh-2.05b#     _

Return, the files scroll along...but then the cursor does not scroll
to one line past the end but is stuck at the last line, and the
prompt is not redisplayed either. Like so:

-rw-r--r--_   1 root     root       361 .....

(The _ is the cursor position)

I can't imagine this passed testing, so it must be rare. You may
want to ask me some questions...

How reproducible:

Steps to Reproduce:
As described
Actual Results:  Display foobared.

Expected Results:  Console should behave as in the good Olden Textmode Times.

Additional info:

I'm setting this bug 'normal' but it should actually be high.
Who likes to guess at the rescue prompt?
Comment 1 Ngo Than 2003-07-28 17:42:48 EDT
it looks like a bug in anaconda. it assign it to correct component
Comment 2 Michael Fulbright 2003-07-29 16:17:03 EDT
Are you using a serial console? I've never seen this problem using the direct
Comment 3 David Tonhofer 2003-07-31 07:40:40 EDT
No I'm using the 'real' console, i.e. screen & keyboard attached to the
motherboard: I insert CD number 1, boot from it, type 'linux rescue',
make it search for an installed system. The shell message appears (undereath
the anaconda blue) 

Your system is mounted under the /mnt/sysimage directory.

When finished please exit from the shell and your system will reboot.

(Note the missing prompt)

I type 'RETURN':

When finished please exit from the shell and your system will reboot.
sh-2.05b# _

Typing now results in ghostwriting:

sh-2.05b#     _

Also, history scrolling does not show anything (except that the cursor jumps
around according to the length of the command that is currently (not) shown)

We have:


The graphics card is an "ATI Rage XL AGP 2X (rev 27)"

The vi editor works as expected except again for its command line. Nothing
is shown at all so you have to guess at the ':wq' etc.

I don't know who invokes what in this case so I can only hazard the guess
that the terminal emulation code must have a bug. Can I somehow set the console
into the 'real' text mode instead of the 'graphics text' mode? 

Comment 4 Michael Fulbright 2003-07-31 15:19:49 EDT
Oh try adding 'nofb' on the command line.
Comment 5 David Tonhofer 2003-08-01 04:11:15 EDT
'linux rescue nofb', eh? Yes, thats's better. The command line works
as expected. The 'Keep it Simple' principle at work ;-)
Comment 6 Michael Fulbright 2003-08-05 17:35:16 EDT
I guess this would be a bug in the kernel fb driver for ATI.
Comment 7 David Tonhofer 2003-08-06 04:34:45 EDT
Possibly. I don't know how often one encounters that particular ATI
chip 'out there' though, it's mounted directly on the mainboard, and it says:


...if that is of any use to anyone.
Comment 8 David Tonhofer 2003-08-06 04:35:53 EDT
Oh yes, do not forget that the fb console works perfectly if you are NOT
in rescue mode. 
Comment 9 David Tonhofer 2003-09-22 11:55:02 EDT
I am currently installing RH9.0 on another machine with a different
graphics card (Prolink GeForce2 Ti) ... but using the same monitor...
(Fujitsu-Siemens Scaleo CTM7010 flatscreen, it just has an analog input).
I have the same problem. It can't be the monitor, though. What *is* this?

Comment 10 Bugzilla owner 2004-09-30 11:41:21 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.